var $thumbDots;
var $thumbDot;
$(document).ready(function () {
    setInterval(function() {
        $thumbDots = $(".item-dots");
        $thumbDot = $(".item-dots .dot");
        if ($("body").hasClass("no-touch")) {
            $("body").on("mouseover", ".item-dots .dot", function () {
                var elementOrderNumber = $(this).data("i");
                var oldUrlArray = $(this).closest(".img").find("img").attr("src").split("/");
                var newUrl = "";
                oldUrlArray[oldUrlArray.length - 1] = elementOrderNumber + ".jpg";
                newUrl = oldUrlArray.join("/");
                $thumbDot.removeClass("select");
                $(this).addClass("select");
                $(this).closest(".img").find("img").attr("src", newUrl);
            });
        } else {
            $thumbDots.on("swipeleft", swipeHandlerLeft);
            $thumbDots.on("swiperight", swipeHandlerRight);
            function swipeHandlerLeft(event) {
                var $swipedThumb = $(event.target).parent();
                var elementOrderNumber = $swipedThumb.find(".select").data("i");
                console.log("Active now:" + elementOrderNumber);
                var oldUrlArray = $swipedThumb.closest(".img").find("img").attr("src").split("/");
                $thumbDot.removeClass("select");
                elementOrderNumber++;
                console.log("Active next:" + elementOrderNumber);
                $swipedThumb.find(".dot").eq(elementOrderNumber - 1).addClass("select");
                oldUrlArray[oldUrlArray.length - 1] = elementOrderNumber + ".jpg";
                var newUrl = oldUrlArray.join("/");
                $(this).closest(".img").find("img").attr("src", newUrl);
            }

            function swipeHandlerRight(event) {
                var $swipedThumb = $(event.target).parent();
                var elementOrderNumber = $swipedThumb.find(".select").data("i");
                console.log("Active now:" + elementOrderNumber);
                var oldUrlArray = $swipedThumb.closest(".img").find("img").attr("src").split("/");
                $thumbDot.removeClass("select");
                elementOrderNumber--;
                console.log("Active next:" + elementOrderNumber);
                $swipedThumb.find(".dot").eq(elementOrderNumber - 1).addClass("select");
                oldUrlArray[oldUrlArray.length - 1] = elementOrderNumber + ".jpg";
                var newUrl = oldUrlArray.join("/");
                $(this).closest(".img").find("img").attr("src", newUrl);
            }
        }
    }, 1000);
});
function detectswipe(el, func) {
    swipe_det = new Object();
    swipe_det.sX = 0;
    swipe_det.sY = 0;
    swipe_det.eX = 0;
    swipe_det.eY = 0;
    var min_x = 30;
    var max_x = 30;
    var min_y = 50;
    var max_y = 60;
    var direc = "";
    ele = $(el)[0];
    ele.addEventListener('touchstart', function (e) {
        var t = e.touches[0];
        swipe_det.sX = t.screenX;
        swipe_det.sY = t.screenY;
    }, false);
    ele.addEventListener('touchmove', function (e) {
        e.preventDefault();
        var t = e.touches[0];
        swipe_det.eX = t.screenX;
        swipe_det.eY = t.screenY;
    }, false);
    ele.addEventListener('touchend', function (e) {
        if ((((swipe_det.eX - min_x > swipe_det.sX) || (swipe_det.eX + min_x < swipe_det.sX)) && ((swipe_det.eY < swipe_det.sY + max_y) && (swipe_det.sY > swipe_det.eY - max_y) && (swipe_det.eX > 0)))) {
            if (swipe_det.eX > swipe_det.sX)direc = "r"; else direc = "l";
        } else if ((((swipe_det.eY - min_y > swipe_det.sY) || (swipe_det.eY + min_y < swipe_det.sY)) && ((swipe_det.eX < swipe_det.sX + max_x) && (swipe_det.sX > swipe_det.eX - max_x) && (swipe_det.eY > 0)))) {
            if (swipe_det.eY > swipe_det.sY)direc = "d"; else direc = "u";
        }
        if (direc != "") {
            if (typeof func == 'function')func(el, direc);
        }
        direc = "";
        swipe_det.sX = 0;
        swipe_det.sY = 0;
        swipe_det.eX = 0;
        swipe_det.eY = 0;
    }, false);
}